Bug 36750 - Not working proxy server is classified as "conflict"
Not working proxy server is classified as "conflict"
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - System diagnostic
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-17 13:42 CET by Janis Meybohm
Modified: 2017-07-20 14:42 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.011
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2014-11-17 13:42:14 CET
Many things (App Center, Software-Updates ... ) do not work when a wrong/not working Proxy-Server is set but the check classifies this as "conflict".
Comment 1 Florian Best univentionstaff 2014-11-17 13:56:21 CET
Change Conflict → Critical


diff --git a/ucs-4.0-0/management/univention-management-console-module-diagnostic/umc/python/diagnostic/plugins/proxy.py b/ucs-4.0-0/management/univention-management-console-module-diagnostic/umc/python/diagnostic/plugins/proxy.py
index 727928f..a2733de 100644
--- a/ucs-4.0-0/management/univention-management-console-module-diagnostic/umc/python/diagnostic/plugins/proxy.py
+++ b/ucs-4.0-0/management/univention-management-console-module-diagnostic/umc/python/diagnostic/plugins/proxy.py
@@ -5 +5 @@ from univention.management.console.config import ucr
-from univention.management.console.modules.diagnostic import Warning, Conflict, MODULE
+from univention.management.console.modules.diagnostic import Warning, Critical, MODULE
@@ -73 +73 @@ def run(url='http://www.univention.de/', connecttimeout=30, timeout=30):
-               raise Conflict('\n'.join([description, msg]))
+               raise Critical('\n'.join([description, msg]))
Comment 2 Johannes Keiser univentionstaff 2017-07-12 16:32:24 CEST
(In reply to Florian Best from comment #1)
> Change Conflict → Critical
> 
> 
> diff --git
> a/ucs-4.0-0/management/univention-management-console-module-diagnostic/umc/
> python/diagnostic/plugins/proxy.py
> b/ucs-4.0-0/management/univention-management-console-module-diagnostic/umc/
> python/diagnostic/plugins/proxy.py
> index 727928f..a2733de 100644
> ---
> a/ucs-4.0-0/management/univention-management-console-module-diagnostic/umc/
> python/diagnostic/plugins/proxy.py
> +++
> b/ucs-4.0-0/management/univention-management-console-module-diagnostic/umc/
> python/diagnostic/plugins/proxy.py
> @@ -5 +5 @@ from univention.management.console.config import ucr
> -from univention.management.console.modules.diagnostic import Warning,
> Conflict, MODULE
> +from univention.management.console.modules.diagnostic import Warning,
> Critical, MODULE
> @@ -73 +73 @@ def run(url='http://www.univention.de/', connecttimeout=30,
> timeout=30):
> -               raise Conflict('\n'.join([description, msg]))
> +               raise Critical('\n'.join([description, msg]))

Applied patch:

r 81102
univention-management-console-module-diagnostic (3.0.1-2) 
* Bug #36750: Applied patch from Florian Best - Change non-working proxy
server error from Conflict to Critical

YAML: r 81104
Comment 3 Florian Best univentionstaff 2017-07-13 15:43:50 CEST
OK: errors are now marked as critical.
OK: set proxy server without port doesn't cause a traceback anymore
OK: YAML
Comment 4 Janek Walkenhorst univentionstaff 2017-07-20 14:42:16 CEST
<http://errata.software-univention.de/ucs/4.2/98.html>